Results 1 to 6 of 6

Thread: Problems with GIMP

  1. #1

    Default Problems with GIMP

    Hi all

    Having a problem with GIMP. I have suse 11 running kde. When I installed suse (from commercial disc) gimp ran fine. I haven't used it in a while and recently tried to open it via the gui. I get the spinning disc and the gimp window flashes up on screen for a second and then disappears. At this stage I still have a spinning disc indicator but eventually it just doesn't open and goes back to the arrow. I'm a linux newbie and haven't a clue where to even start to look for a problem. would downloading gimp do the trick?

    Thanks in advance for any help

    cheers

  2. #2
    Join Date
    Jun 2008
    Location
    France
    Posts
    22

    Default Re: Problems with GIMP

    Hi,
    Which version of GIMP is installed on your computer ?

  3. #3
    palladium NNTP User

    Default Re: Problems with GIMP

    casperg wrote:
    > would downloading gimp do the trick?


    don't download anything...always, if possible, install with YaST using
    the four primary repos..

    to see what is going on with your gimp:

    open a terminal, and type

    gimp

    then press the enter key..

    if we are lucky there will soon come an error message in the terminal
    window..
    copy and paste that back to here..
    maybe someone will know what it mean..

    you say you are running "suse 11" is that as in openSUSE 11.0, 11.1 or
    11.2? or is it SUSE Linux Enterprise Desktop 11 ??

    makes a difference...do this in a terminal and return the results back
    to here:

    cat /etc/SuSE-release
    or
    cat /etc/issue

    --
    palladium

  4. #4

    Default Re: Problems with GIMP

    Hi there,

    Apologies for delay in getting back to the forum.

    Thanks for replies guys I probably should have given more info in my question.

    To get the which version I'm using I tried both cat/etc/SuSE-release (issue) in terminal and got -bash: cat/etc/SuSE-release(issue): no such file or directory. Tried it from root same thing. As far as though it's openSUSE 11.0

    Opened a terminal window and typed gimp after pressing return I received this message

    gimp: symbol lookup error: /usr/lib64/libpangocairo-1.0.so.0: undefined symbol: cairo_has_current_point

    Wasn't sure how to get the gimp version but it looks like it's version 2.0 (I changed directory into the gimp directory and the next directory on the tree was just called 2.0.

    I wonder if it's an out dated version of gimp.

    Hope above is clear.

    Cheers

    Casperg

  5. #5
    palladium NNTP User

    Default Re: Problems with GIMP

    casperg wrote:
    > To get the which version I'm using I tried both cat/etc/SuSE-release
    > (issue) in terminal and got -bash: cat/etc/SuSE-release(issue): no such
    > file or directory. Tried it from root same thing. As far as though it's
    > openSUSE 11.0


    not: cat/etc/SuSE-release(issue)
    but: cat /etc/SuSE-release

    or
    -> cat /etc/issue
    not: cat/etc/issue

    you do not have to be root to get this info, just enter it with the space



    > GIMP: SYMBOL LOOKUP ERROR: /USR/LIB64/LIBPANGOCAIRO-1.0.SO.0: UNDEFINED
    > SYMBOL: CAIRO_HAS_CURRENT_POINT


    i googled on
    CAIRO_HAS_CURRENT_POINT gimp
    and learned it was (maybe is?) a 2008 bug where cairo-dock and gimp
    don't wanna play nicely together..

    [i explained how i learned what i know about your problem so that next
    time you have the chance to trouble shoot some for yourself...more fun
    that way!!]

    i guess you have to update something....cairo, gimp or openSUSE i
    don't know which..

    or you could dump the bells/whistles/glitz of the dock in order to use
    gimp...the choice is yours..


    > Wasn't sure how to get the gimp version


    to get the version of _most_ anything i Linuxland do (like) this as a
    regular user, in a terminal:

    Code:
    gimp --version

    > I wonder if it's an out dated version of gimp.


    after you know what version you have, you can use YaST to see if a
    more recent is available...

    --
    palladium

  6. #6

    Default Re: Problems with GIMP

    Thanks palladium great reply appreciate the effort.

    I'll have a play with it now that it looks like an update problem.

    As for getting the openSuSE version I probably put you off with my reply I used cat/etc/issue and then tried cat/etc/SuSE-release the brackets was a lazy way to avoid typing cat/etc/ out twice (I know stupid really when trying to sort out a but)


    Thanks again for the help

    Cheers

    Casperg

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •